package vocation;

import com.engine.jucailinkq.attendance.component.persongroup.commonutil.PersongroupCommonUtil;
import com.engine.jucailinkq.attendance.vacation.service.VocationService;
import com.engine.jucailinkq.attendance.vacation.service.impl.VocationServiceImpl;
import com.engine.common.util.ServiceUtil;
import com.engine.jucailinkq.attendance.vacation.util.VocationCommonUtil;
import com.engine.jucailinkq.common.util.DateUtil;
import com.engine.jucailinkq.common.util.Utils;
import com.engine.cube.service.ModeImpExpService;
import com.engine.cube.service.impl.ModeImpExpServiceImpl;
import com.google.common.collect.Maps;
import org.junit.Test;
import weaver.hrm.User;
import workflow.beforlog;

import java.math.BigDecimal;
import java.math.MathContext;
import java.math.RoundingMode;
import java.util.Map;

public class Test1 extends beforlog {
    private ModeImpExpService getService(User user) {
        return (ModeImpExpService) ServiceUtil.getService(ModeImpExpServiceImpl.class, user);
    }
    VocationService basicsetService = ServiceUtil.getService(VocationServiceImpl.class);
    @Test
    public  void test1() {
       Map<String,Object> params = Maps.newHashMap();
        Map<String,String> formmodeIdMap = Utils.getFormmodeIdMap();
        String modeId = formmodeIdMap.get("uf_jcl_kq_jqed");
        params.put("modeId",modeId);
//        params.put("releaseDate","2023-07-11");

        params.put("cover",1);
        basicsetService.generateVocation(params);
    }
    @Test
    public  void test2() throws Exception{
        Map<String,Object> params = Maps.newHashMap();
        Map<String,String> formmodeIdMap = Utils.getFormmodeIdMap();
        String modeId = formmodeIdMap.get("uf_jcl_kq_jqed");
        params.put("modeId",modeId);

        params.put("cover",1);
        basicsetService.handleOverdueVocation(params);

    }
    @Test
    public  void test3() throws Exception{
        BigDecimal overdraftHoliday = new BigDecimal(5.000);
        BigDecimal overdraftHoliday2 = new BigDecimal(0.9000);
        BigDecimal overdraftHoliday3 = new BigDecimal(0.1000);

        System.out.println(new BigDecimal("-7.0000").subtract(new BigDecimal(String.valueOf("1.0000")),new MathContext(4, RoundingMode.HALF_UP)).doubleValue());
    }


}
